"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var ng2_bootstrap_1 = require('ng2-bootstrap/ng2-bootstrap');
var PlentyButtonComponent = (function () {
    function PlentyButtonComponent() {
        this.clicked = new core_1.EventEmitter();
        this.tooltipPlacement = 'top';
    }
    PlentyButtonComponent.prototype.click = function () {
        this.clicked.emit(null);
    };
    __decorate([
        core_1.Input(), 
        __metadata('design:type', Boolean)
    ], PlentyButtonComponent.prototype, "isPrimary", void 0);
    __decorate([
        core_1.Input(), 
        __metadata('design:type', Boolean)
    ], PlentyButtonComponent.prototype, "isSecondary", void 0);
    __decorate([
        core_1.Input(), 
        __metadata('design:type', Boolean)
    ], PlentyButtonComponent.prototype, "isSmall", void 0);
    __decorate([
        core_1.Input(), 
        __metadata('design:type', Boolean)
    ], PlentyButtonComponent.prototype, "isLarge", void 0);
    __decorate([
        core_1.Input(), 
        __metadata('design:type', Boolean)
    ], PlentyButtonComponent.prototype, "isDisabled", void 0);
    __decorate([
        core_1.Input(), 
        __metadata('design:type', String)
    ], PlentyButtonComponent.prototype, "caption", void 0);
    __decorate([
        core_1.Input(), 
        __metadata('design:type', String)
    ], PlentyButtonComponent.prototype, "icon", void 0);
    __decorate([
        core_1.Input(), 
        __metadata('design:type', String)
    ], PlentyButtonComponent.prototype, "type", void 0);
    __decorate([
        core_1.Input(), 
        __metadata('design:type', Boolean)
    ], PlentyButtonComponent.prototype, "isAlignRight", void 0);
    __decorate([
        core_1.Input(), 
        __metadata('design:type', Boolean)
    ], PlentyButtonComponent.prototype, "isHidden", void 0);
    __decorate([
        core_1.Input(), 
        __metadata('design:type', String)
    ], PlentyButtonComponent.prototype, "tooltipText", void 0);
    __decorate([
        core_1.Input(), 
        __metadata('design:type', String)
    ], PlentyButtonComponent.prototype, "tooltipPlacement", void 0);
    __decorate([
        core_1.Output(), 
        __metadata('design:type', Object)
    ], PlentyButtonComponent.prototype, "clicked", void 0);
    PlentyButtonComponent = __decorate([
        core_1.Component({
            moduleId: module.id,
            selector: 'plenty-button',
            templateUrl: 'plenty-button.component.html',
            directives: [ng2_bootstrap_1.TOOLTIP_DIRECTIVES]
        }), 
        __metadata('design:paramtypes', [])
    ], PlentyButtonComponent);
    return PlentyButtonComponent;
}());
exports.PlentyButtonComponent = PlentyButtonComponent;
//# sourceMappingURL=/app/button/plenty-button.component.js.map