"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var DclWrapperComponent = (function () {
    function DclWrapperComponent(resolver) {
        this.resolver = resolver;
        this.isViewInitialized = false;
    }
    DclWrapperComponent.prototype.updateComponent = function () {
        var _this = this;
        if (!this.isViewInitialized) {
            return;
        }
        if (this.cmpRef) {
            this.cmpRef.destroy();
        }
        this.resolver.resolveComponent(this.type).then(function (factory) {
            _this.cmpRef = _this.target.createComponent(factory);
            if (_this.cmpRef.instance.initIframe) {
                _this.cmpRef.instance.initIframe(_this.routeData);
            }
        });
    };
    DclWrapperComponent.prototype.ngOnChanges = function () {
        this.updateComponent();
    };
    DclWrapperComponent.prototype.ngAfterViewInit = function () {
        this.isViewInitialized = true;
        this.updateComponent();
    };
    DclWrapperComponent.prototype.ngOnDestroy = function () {
        if (this.cmpRef) {
            this.cmpRef.destroy();
        }
    };
    __decorate([
        core_1.ViewChild('target', { read: core_1.ViewContainerRef }), 
        __metadata('design:type', Object)
    ], DclWrapperComponent.prototype, "target", void 0);
    __decorate([
        core_1.Input(), 
        __metadata('design:type', Object)
    ], DclWrapperComponent.prototype, "type", void 0);
    __decorate([
        core_1.Input(), 
        __metadata('design:type', Object)
    ], DclWrapperComponent.prototype, "routeData", void 0);
    __decorate([
        core_1.Input(), 
        __metadata('design:type', Object)
    ], DclWrapperComponent.prototype, "identifier", void 0);
    DclWrapperComponent = __decorate([
        core_1.Component({
            moduleId: module.id,
            selector: 'dcl-wrapper',
            templateUrl: 'dcl-wrapper.component.html',
            styleUrls: ['dcl-wrapper.component.css']
        }), 
        __metadata('design:paramtypes', [core_1.ComponentResolver])
    ], DclWrapperComponent);
    return DclWrapperComponent;
}());
exports.DclWrapperComponent = DclWrapperComponent;
//# sourceMappingURL=/app/dcl-wrapper/dcl-wrapper.component.js.map