"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var plenty_input_component_1 = require('../plenty-input.component');
var forms_1 = require('@angular/forms');
var ng2_bootstrap_1 = require('ng2-bootstrap/ng2-bootstrap');
var plenty_regex_1 = require('../../../regex/plenty-regex');
exports.NUMBER_INPUT_CONTROL_VALUE_ACCESSOR = {
    provide: forms_1.NG_VALUE_ACCESSOR,
    useExisting: core_1.forwardRef(function () { return PlentyNumberInputComponent; }),
    multi: true
};
var PlentyNumberInputComponent = (function (_super) {
    __extends(PlentyNumberInputComponent, _super);
    function PlentyNumberInputComponent() {
        _super.call(this, 'number', plenty_regex_1.PlentyRegex.NUMERIC);
    }
    PlentyNumberInputComponent = __decorate([
        core_1.Component({
            moduleId: module.id,
            selector: 'plenty-number-input',
            templateUrl: 'plenty-number-input.component.html',
            providers: [exports.NUMBER_INPUT_CONTROL_VALUE_ACCESSOR],
            directives: [forms_1.REACTIVE_FORM_DIRECTIVES,
                ng2_bootstrap_1.TOOLTIP_DIRECTIVES]
        }), 
        __metadata('design:paramtypes', [])
    ], PlentyNumberInputComponent);
    return PlentyNumberInputComponent;
}(plenty_input_component_1.PlentyInputComponent));
exports.PlentyNumberInputComponent = PlentyNumberInputComponent;
//# sourceMappingURL=/app/forms/input/number-input/plenty-number-input.component.js.map