"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var PlentyListBoxComponent = (function () {
    function PlentyListBoxComponent(elementRef) {
        this.elementRef = elementRef;
        this.valueChanged = new core_1.EventEmitter();
        this.toggleOpen = false;
    }
    PlentyListBoxComponent.prototype.ngOnInit = function () {
        var _this = this;
        if (this.defaultSelection) {
            this.listBoxValues
                .forEach(function (value) {
                if (value.value == _this.defaultSelection) {
                    value.active = true;
                    _this.selectedValue = value;
                }
            });
        }
        else {
            this.listBoxValues[0].active = true;
            this.selectedValue = this.listBoxValues[0];
        }
    };
    PlentyListBoxComponent.prototype.clickedOutside = function (event) {
        if (!this.elementRef.nativeElement.contains(event.target)) {
            this.toggleOpen = false;
        }
    };
    PlentyListBoxComponent.prototype.select = function (value) {
        this.selectedValue.active = false;
        value.active = true;
        this.selectedValue = value;
        this.valueChanged.emit(value);
    };
    __decorate([
        core_1.Input(), 
        __metadata('design:type', Array)
    ], PlentyListBoxComponent.prototype, "listBoxValues", void 0);
    __decorate([
        core_1.Input(), 
        __metadata('design:type', Object)
    ], PlentyListBoxComponent.prototype, "defaultSelection", void 0);
    __decorate([
        core_1.Output(), 
        __metadata('design:type', Object)
    ], PlentyListBoxComponent.prototype, "valueChanged", void 0);
    PlentyListBoxComponent = __decorate([
        core_1.Component({
            moduleId: module.id,
            selector: 'plenty-list-box',
            templateUrl: 'plenty-list-box.component.html',
            styleUrls: ['plenty-list-box.component.css'],
            host: {
                '(document:click)': 'clickedOutside($event)',
            },
        }), 
        __metadata('design:paramtypes', [core_1.ElementRef])
    ], PlentyListBoxComponent);
    return PlentyListBoxComponent;
}());
exports.PlentyListBoxComponent = PlentyListBoxComponent;
//# sourceMappingURL=/app/forms/list-box/plenty-list-box.component.js.map