import { Observable } from 'rxjs/Observable';
export declare enum PlentyLoadingBarEventType {
    PROGRESS = 0,
    HEIGHT = 1,
    COLOR = 2,
    VISIBLE = 3,
}
export declare class PlentyLoadingBarEvent {
    type: PlentyLoadingBarEventType;
    value: any;
    constructor(type: PlentyLoadingBarEventType, value: any);
}
export declare class PlentyLoadingBarService {
    private _progress;
    private _height;
    private _color;
    private _visible;
    private _intervalCounterId;
    private interval;
    observable: Observable<PlentyLoadingBarEvent>;
    private subscriber;
    constructor();
    progress: number;
    height: string;
    color: string;
    visible: boolean;
    private emitEvent(event);
    start(): void;
    stop(): void;
    reset(): void;
    complete(): void;
}
