import { OnInit, EventEmitter } from '@angular/core';
import { PlentyListBoxValue } from '../forms/list-box/value/plenty-list-box-value';
import { PlentyNumberInputComponent } from '../forms/input/number-input/plenty-number-input.component';
import { PlentyPagerData } from './data/plenty-pager-data';
export declare class PlentyPagerComponent implements OnInit {
    currentPageInput: PlentyNumberInputComponent;
    pagingData: PlentyPagerData;
    defaultPagingSize: number;
    pagingSize: Array<PlentyListBoxValue>;
    doPaging: EventEmitter<PlentyPagerData>;
    constructor();
    ngOnInit(): void;
    private updateCurrentPageInput();
    onFirstPage(): void;
    onPrevPage(): void;
    onNextPage(): void;
    onLastPage(): void;
    onReload(): void;
    onToPage(event: any, pageNumber: number): void;
    onChangeOffsetTo(selectedOffset: PlentyListBoxValue): void;
}
