import { Http, Headers, Response } from '@angular/http';
import { Observable } from 'rxjs/Observable';
import 'rxjs/add/operator/map';
import 'rxjs/Rx';
import { PlentyLoadingBarService } from '../loading-bar/service/plenty-loading-bar.service';
export declare class BaseService {
    private loadingBarService;
    private _http;
    private _headers;
    private _url;
    constructor(loadingBarService: PlentyLoadingBarService, _http: Http, url: string);
    http: Http;
    headers: Headers;
    url: string;
    protected setToHeader(key: string, value: string): void;
    protected deleteFromHeader(key: string): void;
    protected setAuthorization(): void;
    protected mapRequest(request: Observable<Response>): Observable<any>;
}
