"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var plenty_data_table_context_menu_service_1 = require('../service/plenty-data-table-context-menu.service');
var PlentyDataTableContextMenuDirective = (function () {
    function PlentyDataTableContextMenuDirective(contextMenuService) {
        this.contextMenuService = contextMenuService;
    }
    PlentyDataTableContextMenuDirective.prototype.rightClicked = function (event) {
        this.contextMenuService.show.next({
            event: event,
            obj: this.links
        });
        event.preventDefault();
    };
    __decorate([
        core_1.Input('context-menu'), 
        __metadata('design:type', Array)
    ], PlentyDataTableContextMenuDirective.prototype, "links", void 0);
    PlentyDataTableContextMenuDirective = __decorate([
        core_1.Directive({
            selector: '[context-menu]',
            host: { '(contextmenu)': 'rightClicked($event)' }
        }), 
        __metadata('design:paramtypes', [plenty_data_table_context_menu_service_1.PlentyDataTableContextMenuService])
    ], PlentyDataTableContextMenuDirective);
    return PlentyDataTableContextMenuDirective;
}());
exports.PlentyDataTableContextMenuDirective = PlentyDataTableContextMenuDirective;
//# sourceMappingURL=/app/table/data-table/context-menu/directive/plenty-data-table-context-menu.directive.js.map