"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var plenty_base_tree_component_1 = require('../base/plenty-base-tree.component');
var PlentyCheckboxTreeComponent = (function (_super) {
    __extends(PlentyCheckboxTreeComponent, _super);
    function PlentyCheckboxTreeComponent() {
        _super.call(this);
        this.selectedLeafList = [];
    }
    PlentyCheckboxTreeComponent.prototype.onCheckboxValueChange = function (event, leaf) {
        leaf.checkboxChecked = event.currentTarget.checked;
        this.recursiveCheckboxCheck(leaf);
    };
    PlentyCheckboxTreeComponent.prototype.recursiveAddLeafToList = function (leaf) {
        if (leaf.checkboxChecked) {
            this.selectedLeafList.push(leaf);
        }
        else {
            var leafIndex = this.selectedLeafList.indexOf(leaf);
            this.selectedLeafList.splice(leafIndex, 1);
        }
        if (leaf.subLeafList) {
            for (var _i = 0, _a = leaf.subLeafList; _i < _a.length; _i++) {
                var subLeaf = _a[_i];
                this.recursiveAddLeafToList(subLeaf);
            }
        }
    };
    PlentyCheckboxTreeComponent.prototype.recursiveCheckboxCheck = function (leaf) {
        if (leaf.subLeafList) {
            for (var _i = 0, _a = leaf.subLeafList; _i < _a.length; _i++) {
                var subLeaf = _a[_i];
                subLeaf.checkboxChecked = leaf.checkboxChecked;
                if (subLeaf.subLeafList) {
                    this.recursiveCheckboxCheck(subLeaf);
                }
            }
        }
    };
    PlentyCheckboxTreeComponent = __decorate([
        core_1.Component({
            moduleId: module.id,
            selector: 'plenty-checkbox-tree',
            templateUrl: 'plenty-checkbox-tree.component.html',
            directives: [PlentyCheckboxTreeComponent]
        }), 
        __metadata('design:paramtypes', [])
    ], PlentyCheckboxTreeComponent);
    return PlentyCheckboxTreeComponent;
}(plenty_base_tree_component_1.PlentyBaseTreeComponent));
exports.PlentyCheckboxTreeComponent = PlentyCheckboxTreeComponent;
//# sourceMappingURL=/app/tree/checkbox-tree/plenty-checkbox-tree.component.js.map