"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var PlentyAlert = (function () {
    function PlentyAlert() {
        this._alerts = [];
        if (!PlentyAlert.isCreating) {
            throw new Error("You can't call new in Singleton instances! Call PlentyAlert.getInstance() instead.");
        }
    }
    PlentyAlert.getInstance = function () {
        if (PlentyAlert.instance == null) {
            PlentyAlert.isCreating = true;
            PlentyAlert.instance = new PlentyAlert();
            PlentyAlert.isCreating = false;
        }
        return PlentyAlert.instance;
    };
    PlentyAlert.prototype.closeAlert = function (i) {
        this._alerts.splice(i, 1);
    };
    PlentyAlert.prototype.addAlert = function (message, closable, type, timeout, identifier) {
        if (timeout == null) {
            timeout = 5000;
        }
        this._alerts.push({ msg: message,
            closable: closable,
            type: type,
            dismissOnTimeout: timeout,
            identifier: identifier
        });
    };
    PlentyAlert.prototype.closeAlertByIdentifier = function (identifier) {
        for (var _i = 0, _a = this._alerts; _i < _a.length; _i++) {
            var alert_1 = _a[_i];
            if (alert_1.identifier == identifier) {
                var index = this._alerts.indexOf(alert_1);
                this.closeAlert(index);
            }
        }
    };
    Object.defineProperty(PlentyAlert.prototype, "alerts", {
        get: function () {
            return this._alerts;
        },
        set: function (value) {
            this._alerts = value;
        },
        enumerable: true,
        configurable: true
    });
    PlentyAlert.instance = null;
    PlentyAlert.isCreating = false;
    PlentyAlert = __decorate([
        core_1.Injectable(), 
        __metadata('design:paramtypes', [])
    ], PlentyAlert);
    return PlentyAlert;
}());
exports.PlentyAlert = PlentyAlert;
//# sourceMappingURL=/app/alert/plenty-alert.js.map