"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var forms_1 = require('@angular/forms');
exports.CHECKBOX_CONTROL_VALUE_ACCESSOR = {
    provide: forms_1.NG_VALUE_ACCESSOR,
    useExisting: core_1.forwardRef(function () { return PlentyCheckboxComponent; }),
    multi: true
};
var PlentyCheckboxComponent = (function () {
    function PlentyCheckboxComponent() {
        this.innerValue = false;
        this._isIndeterminate = false;
        this.onTouchedCallback = function () {
        };
        this.onChangeCallback = function () {
        };
    }
    Object.defineProperty(PlentyCheckboxComponent.prototype, "value", {
        get: function () {
            return this.innerValue;
        },
        set: function (v) {
            this.isIndeterminate = false;
            if (v !== this.innerValue) {
                this.innerValue = v;
                this.onChangeCallback(v);
            }
        },
        enumerable: true,
        configurable: true
    });
    ;
    PlentyCheckboxComponent.prototype.writeValue = function (value) {
        if (value !== this.innerValue) {
            this.innerValue = value;
        }
    };
    PlentyCheckboxComponent.prototype.registerOnChange = function (fn) {
        this.onChangeCallback = fn;
    };
    PlentyCheckboxComponent.prototype.registerOnTouched = function (fn) {
        this.onTouchedCallback = fn;
    };
    Object.defineProperty(PlentyCheckboxComponent.prototype, "isIndeterminate", {
        get: function () {
            return this._isIndeterminate;
        },
        set: function (value) {
            this.innerValue = false;
            this._isIndeterminate = value;
        },
        enumerable: true,
        configurable: true
    });
    __decorate([
        core_1.Input(), 
        __metadata('design:type', Boolean)
    ], PlentyCheckboxComponent.prototype, "isDisabled", void 0);
    __decorate([
        core_1.Input(), 
        __metadata('design:type', String)
    ], PlentyCheckboxComponent.prototype, "caption", void 0);
    __decorate([
        core_1.Input(), 
        __metadata('design:type', Boolean)
    ], PlentyCheckboxComponent.prototype, "value", null);
    PlentyCheckboxComponent = __decorate([
        core_1.Component({
            moduleId: module.id,
            selector: 'plenty-checkbox',
            templateUrl: 'plenty-checkbox.component.html',
            styleUrls: ['plenty-checkbox.component.css'],
            providers: [exports.CHECKBOX_CONTROL_VALUE_ACCESSOR],
            directives: [forms_1.REACTIVE_FORM_DIRECTIVES]
        }), 
        __metadata('design:paramtypes', [])
    ], PlentyCheckboxComponent);
    return PlentyCheckboxComponent;
}());
exports.PlentyCheckboxComponent = PlentyCheckboxComponent;
//# sourceMappingURL=/app/forms/checkbox/plenty-checkbox.component.js.map