import { ControlValueAccessor, FormControl } from '@angular/forms';
export declare class PlentyInputComponent implements ControlValueAccessor {
    private inputType;
    private inputRegex;
    name: string;
    isRequired: boolean;
    emptyMessage: string;
    invalidMessage: string;
    tooltipText: string;
    disabled: boolean;
    tooltipPlacement: string;
    maxLength: number;
    maxValue: number;
    minLength: number;
    minValue: number;
    protected type: string;
    private _isValid;
    private _regex;
    private alert;
    private innerValue;
    private onTouchedCallback;
    private onChangeCallback;
    constructor(inputType: string, inputRegex: string);
    isDisabled: boolean;
    isValid: boolean;
    value: any;
    private onBlur();
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    validate(formControl: FormControl): void;
    regex: string;
}
