"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var common_1 = require('@angular/common');
var plenty_loading_bar_service_1 = require('./service/plenty-loading-bar.service');
var PlentyLoadingBarComponent = (function () {
    function PlentyLoadingBarComponent(service) {
        this.service = service;
        this.animationTime = 0.5;
        this._progress = '0%';
        this.color = 'black';
        this.height = '2px';
        this.show = true;
    }
    Object.defineProperty(PlentyLoadingBarComponent.prototype, "progress", {
        get: function () {
            return this._progress;
        },
        set: function (value) {
            if (value != null) {
                this._progress = value + '%';
            }
        },
        enumerable: true,
        configurable: true
    });
    PlentyLoadingBarComponent.prototype.ngOnInit = function () {
        var _this = this;
        this.service.observable.subscribe(function (event) {
            if (event.type === plenty_loading_bar_service_1.PlentyLoadingBarEventType.PROGRESS) {
                _this.progress = event.value;
            }
            else if (event.type === plenty_loading_bar_service_1.PlentyLoadingBarEventType.COLOR) {
                _this.color = event.value;
            }
            else if (event.type === plenty_loading_bar_service_1.PlentyLoadingBarEventType.HEIGHT) {
                _this.height = event.value;
            }
            else if (event.type === plenty_loading_bar_service_1.PlentyLoadingBarEventType.VISIBLE) {
                _this.show = event.value;
            }
        });
    };
    __decorate([
        core_1.Input(), 
        __metadata('design:type', String), 
        __metadata('design:paramtypes', [String])
    ], PlentyLoadingBarComponent.prototype, "progress", null);
    __decorate([
        core_1.Input(), 
        __metadata('design:type', String)
    ], PlentyLoadingBarComponent.prototype, "color", void 0);
    __decorate([
        core_1.Input(), 
        __metadata('design:type', String)
    ], PlentyLoadingBarComponent.prototype, "height", void 0);
    __decorate([
        core_1.Input(), 
        __metadata('design:type', Boolean)
    ], PlentyLoadingBarComponent.prototype, "show", void 0);
    PlentyLoadingBarComponent = __decorate([
        core_1.Component({
            moduleId: module.id,
            selector: 'plenty-loading-bar',
            directives: [common_1.CORE_DIRECTIVES],
            templateUrl: 'plenty-loading-bar.component.html',
            styleUrls: ['plenty-loading-bar.component.css']
        }), 
        __metadata('design:paramtypes', [plenty_loading_bar_service_1.PlentyLoadingBarService])
    ], PlentyLoadingBarComponent);
    return PlentyLoadingBarComponent;
}());
exports.PlentyLoadingBarComponent = PlentyLoadingBarComponent;
//# sourceMappingURL=/app/loading-bar/plenty-loading-bar.component.js.map