import { AfterViewInit, EventEmitter } from '@angular/core';
import { ModalDirective } from 'ng2-bootstrap/ng2-bootstrap';
export declare class PlentyOverlayComponent implements AfterViewInit {
    overlay: ModalDirective;
    addButtonTooltip: string;
    cancelButtonTooltip: string;
    overlayTitle: string;
    hasPrimaryButton: boolean;
    hasSecondaryButton: boolean;
    isStatic: boolean;
    isCloseable: boolean;
    isLarge: boolean;
    isSmall: boolean;
    primaryButtonClicked: EventEmitter<PlentyOverlayComponent>;
    secondaryButtonClicked: EventEmitter<PlentyOverlayComponent>;
    constructor();
    ngAfterViewInit(): void;
    private primaryClicked();
    private secondaryClicked();
    showOverlay(): void;
    hideOverlay(): void;
}
