import { PlentyDataTableContextMenuService } from './service/plenty-data-table-context-menu.service';
import { PlentyDataTableContextMenuEntry } from './interface/plenty-data-table-context-menu-entry';
import { BaseData } from '../../../data/base-data';
export declare class PlentyDataTableContextMenuComponent<D extends BaseData> {
    private contextMenuService;
    contextMenuLinkList: Array<PlentyDataTableContextMenuEntry<D>>;
    isShown: boolean;
    private mouseLocation;
    constructor(contextMenuService: PlentyDataTableContextMenuService<D>);
    locationCss: {
        'display': string;
        left: string;
        top: string;
    };
    clickedOutside(): void;
    showMenu(event: any, contextMenuLinkList: Array<PlentyDataTableContextMenuEntry<D>>): void;
}
