"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var plenty_data_table_context_menu_service_1 = require('./service/plenty-data-table-context-menu.service');
var PlentyDataTableContextMenuComponent = (function () {
    function PlentyDataTableContextMenuComponent(contextMenuService) {
        var _this = this;
        this.contextMenuService = contextMenuService;
        this.contextMenuLinkList = [];
        this.isShown = false;
        this.mouseLocation = {
            left: 0,
            top: 0
        };
        contextMenuService.show.subscribe(function (e) { return _this.showMenu(e.event, e.obj); });
    }
    Object.defineProperty(PlentyDataTableContextMenuComponent.prototype, "locationCss", {
        get: function () {
            return {
                'display': this.isShown ? 'block' : 'none',
                left: this.mouseLocation.left + 'px',
                top: this.mouseLocation.top + 'px',
            };
        },
        enumerable: true,
        configurable: true
    });
    PlentyDataTableContextMenuComponent.prototype.clickedOutside = function () {
        this.isShown = false;
    };
    PlentyDataTableContextMenuComponent.prototype.showMenu = function (event, contextMenuLinkList) {
        this.isShown = true;
        this.contextMenuLinkList = contextMenuLinkList;
        this.mouseLocation = {
            left: event.clientX,
            top: event.clientY
        };
    };
    PlentyDataTableContextMenuComponent = __decorate([
        core_1.Component({
            moduleId: module.id,
            selector: 'context-menu-holder',
            styleUrls: ['plenty-data-table-context-menu.component.css'],
            host: {
                '(document:click)': 'clickedOutside()',
            },
            templateUrl: 'plenty-data-table-context-menu.component.html'
        }), 
        __metadata('design:paramtypes', [plenty_data_table_context_menu_service_1.PlentyDataTableContextMenuService])
    ], PlentyDataTableContextMenuComponent);
    return PlentyDataTableContextMenuComponent;
}());
exports.PlentyDataTableContextMenuComponent = PlentyDataTableContextMenuComponent;
//# sourceMappingURL=/app/table/data-table/context-menu/plenty-data-table-context-menu.component.js.map