"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var core_1 = require('@angular/core');
var PlentyBaseTreeComponent = (function () {
    function PlentyBaseTreeComponent() {
    }
    PlentyBaseTreeComponent.prototype.ngOnInit = function () {
        if (this.parentLeafList) {
            for (var _i = 0, _a = this.parentLeafList; _i < _a.length; _i++) {
                var parentLeaf = _a[_i];
                if (parentLeaf.subLeafList) {
                    for (var _b = 0, _c = parentLeaf.subLeafList; _b < _c.length; _b++) {
                        var subLeaf = _c[_b];
                        for (var _d = 0, _e = this.leafList; _d < _e.length; _d++) {
                            var leaf = _e[_d];
                            if (leaf == subLeaf) {
                                leaf.parentLeafList = this.parentLeafList;
                            }
                        }
                    }
                }
            }
        }
    };
    PlentyBaseTreeComponent.prototype.onLeafClick = function (clickedLeaf) {
        this.toggleOpen(clickedLeaf);
        this.setLeafActive(clickedLeaf);
    };
    PlentyBaseTreeComponent.prototype.setLeafActive = function (clickedLeaf) {
        this.setLeafListActive(clickedLeaf, this.leafList);
    };
    PlentyBaseTreeComponent.prototype.setLeafListActive = function (clickedLeaf, leafList) {
        for (var _i = 0, leafList_1 = leafList; _i < leafList_1.length; _i++) {
            var leaf = leafList_1[_i];
            if (leaf == clickedLeaf) {
                leaf.isActive = true;
                if (this.parentLeafList) {
                    this.setLeafListInactive(this.parentLeafList);
                }
            }
            else {
                leaf.isActive = false;
            }
            if (leaf.subLeafList && leaf.subLeafList.length > 0) {
                this.setLeafListActive(leaf, leaf.subLeafList);
            }
        }
    };
    PlentyBaseTreeComponent.prototype.setLeafListInactive = function (leafList) {
        for (var _i = 0, leafList_2 = leafList; _i < leafList_2.length; _i++) {
            var leaf = leafList_2[_i];
            leaf.isActive = false;
            if (leaf.parentLeafList) {
                this.setLeafListInactive(leaf.parentLeafList);
            }
        }
    };
    PlentyBaseTreeComponent.prototype.toggleOpen = function (clickedLeaf) {
        clickedLeaf.isOpen = !clickedLeaf.isOpen;
    };
    __decorate([
        core_1.Input(), 
        __metadata('design:type', Array)
    ], PlentyBaseTreeComponent.prototype, "leafList", void 0);
    __decorate([
        core_1.Input(), 
        __metadata('design:type', Array)
    ], PlentyBaseTreeComponent.prototype, "parentLeafList", void 0);
    return PlentyBaseTreeComponent;
}());
exports.PlentyBaseTreeComponent = PlentyBaseTreeComponent;
//# sourceMappingURL=/app/tree/base/plenty-base-tree.component.js.map